Get available indication surveys
GET
/prescription/survey/{lang}
const url = 'https://client-api.abi.ai/prescription/survey/en';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://client-api.abi.ai/prescription/survey/en \ --header 'Authorization: Bearer <token>'List the indication surveys configured for the partner. The lang path parameter selects the response language.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”lang
required
string
Example
enResponses
Section titled “Responses”Indication surveys available for the partner and requested language.
Media typeapplication/json
Array<object>
object
id
string
category
string
isRefill
boolean
title
string
order
integer
Example
[ { "id": "12", "category": "General Health", "isRefill": false, "title": "Allergies", "order": 0 }]Request could not be completed.
Media typeapplication/json
object
code
Short machine-readable error code.
string
message
Human-readable explanation of the error.
string
Examplegenerated
{ "code": "example", "message": "example"}